summaryrefslogtreecommitdiff
path: root/plymouth/debian/plymouth.plymouth-log.init
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2019-09-11 14:59:55 -0400
committerB Stack <bgstack15@gmail.com>2019-09-11 14:59:55 -0400
commit7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f (patch)
treea5b2fa3712798d6d8fb4fe8062cfc70c90b94b2a /plymouth/debian/plymouth.plymouth-log.init
parentMerge branch 'waterfox-bump' into 'master' (diff)
downloadstackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.tar.gz
stackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.tar.bz2
stackrpms-7bf26d686e5c4588c2cca1f78bfb6d5ab4b9333f.zip
plymouth 0.9.4 without systemd
Diffstat (limited to 'plymouth/debian/plymouth.plymouth-log.init')
-rw-r--r--plymouth/debian/plymouth.plymouth-log.init47
1 files changed, 47 insertions, 0 deletions
diff --git a/plymouth/debian/plymouth.plymouth-log.init b/plymouth/debian/plymouth.plymouth-log.init
new file mode 100644
index 0000000..a0adb55
--- /dev/null
+++ b/plymouth/debian/plymouth.plymouth-log.init
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: plymouth-log
+# Required-Start: $local_fs $remote_fs
+# Required-Stop: $local_fs $remote_fs
+# Should-Start:
+# Should-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Inform plymouth that /var/log is writable
+### END INIT INFO
+
+PATH="/sbin:/bin:/usr/sbin:/usr/bin"
+NAME="plymouth-log"
+DESC="Boot splash manager (write log file)"
+
+test -x /bin/plymouth || exit 0
+
+if [ -r "/etc/default/${NAME}" ]
+then
+ . "/etc/default/${NAME}"
+fi
+
+. /lib/lsb/init-functions
+
+set -e
+
+case "${1}" in
+ start)
+ if plymouth --ping
+ then
+ /bin/plymouth update-root-fs --read-write
+ fi
+ ;;
+
+ stop|restart|force-reload)
+
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
bgstack15